org.apache.lucene.luke.app.desktop.util.inifile

## Class SimpleIniFile

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.util.inifile.SimpleIniFile

All Implemented Interfaces:
  IniFile

    public class SimpleIniFile
    extends Object
    implements IniFile

Simple implementation of `IniFile`

### Constructor Summary

Constructors
Constructor and Description
`SimpleIniFile()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Boolean` `getBoolean(String section, String option)`
`String` `getString(String section, String option)`
`void` `load(Path path)`
`void` `put(String section, String option, Object value)`
`void` `store(Path path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleIniFile

    public SimpleIniFile()

### Method Detail

#### load

    public void load(Path path)
              throws IOException

Specified by:
  `load` in interface `IniFile`
Throws:
  `IOException`

#### store

    public void store(Path path)
               throws IOException

Specified by:
  `store` in interface `IniFile`
Throws:
  `IOException`

#### put

    public void put(String section,
                    String option,
                    Object value)

Specified by:
  `put` in interface `IniFile`

#### getString

    public String getString(String section,
                            String option)

Specified by:
  `getString` in interface `IniFile`

#### getBoolean

    public Boolean getBoolean(String section,
                              String option)

Specified by:
  `getBoolean` in interface `IniFile`